Index: /trunk/SophyaLib/SkyMap/spherehealpix.cc
===================================================================
--- /trunk/SophyaLib/SkyMap/spherehealpix.cc	(revision 3571)
+++ /trunk/SophyaLib/SkyMap/spherehealpix.cc	(revision 3572)
@@ -177,15 +177,14 @@
   nPix_ = a.nPix_;
   omeg_ = a.omeg_;
-  int k;
   if (fgring_ == a.fgring_) 
-    for (k=0; k< nPix_; k++) pixels_(k) = a.pixels_(k);
+    for (int_4 k=0; k< nPix_; k++) pixels_(k) = a.pixels_(k);
   else {
-    if (fgring_)  for (k=0; k< nPix_; k++) 
+    if (fgring_)  for (int_4 k=0; k< nPix_; k++) 
       pixels_(k) = a.pixels_(ring2nest(nSide_, k));
-    else  for (k=0; k< nPix_; k++) 
+    else  for (int_4 k=0; k< nPix_; k++) 
       pixels_(k) = a.pixels_(nest2ring(nSide_, k));			     
   }
-  for (k=0; k< a.sliceBeginIndex_.Size(); k++) sliceBeginIndex_(k) = a.sliceBeginIndex_(k);
-  for (k=0; k< a.sliceLenght_.Size(); k++) sliceLenght_(k) = a.sliceLenght_(k);
+  for (size_t k=0; k< a.sliceBeginIndex_.Size(); k++) sliceBeginIndex_(k) = a.sliceBeginIndex_(k);
+  for (size_t k=0; k< a.sliceLenght_.Size(); k++) sliceLenght_(k) = a.sliceLenght_(k);
   return(*this);
 }
@@ -305,5 +304,5 @@
 {
   uint_4 nbslices = uint_4(4*nSide_-1);
-  if (index<0 || index >= nbslices) 
+  if (index<0 || index >= (int_4)nbslices) 
     throw RangeCheckError(" SphereHEALPix::ThetaOfSlice()  index out of range");
   r_8 theta, phi0;
@@ -322,5 +321,5 @@
 int_4 SphereHEALPix<T>::GetSymThetaSliceIndex(int_4 idx) const
 {
-  if(idx < 0 || idx >= NbThetaSlices()) 
+  if(idx < 0 || idx >= (int_4)NbThetaSlices()) 
     throw RangeCheckError("SphereHEALPix::GetSymThetaSliceIndex index out of range"); 
   return (NbThetaSlices()-1-idx);
@@ -340,5 +339,5 @@
 void SphereHEALPix<T>::GetThetaSlice(int_4 index,r_8& theta,TVector<r_8>& phi,TVector<T>& value) const 
 {
-  if (index<0 || index >= NbThetaSlices()) 
+  if (index<0 || index >= (int_4)NbThetaSlices()) 
     throw RangeCheckError(" SphereHEALPix::GetThetaSlice()  index out of range");
 
@@ -391,5 +390,5 @@
 {
 
-  if (sliceIndex<0 || sliceIndex >= NbThetaSlices()) 
+  if (sliceIndex<0 || sliceIndex >= (int_4)NbThetaSlices()) 
     throw RangeCheckError(" SphereHEALPix::GetThetaSlice() index out of range");
   int_4 iring= sliceBeginIndex_(sliceIndex);
@@ -420,5 +419,5 @@
 
 {
-  if (sliceIndex<0 || sliceIndex >= NbThetaSlices()) 
+  if (sliceIndex<0 || sliceIndex >= (int_4)NbThetaSlices()) 
     throw RangeCheckError(" SphereHEALPix::GetThetaSliceDataPtr(): index out of range");
   if (fgring_) 
Index: /trunk/SophyaLib/SkyMap/spherepos.cc
===================================================================
--- /trunk/SophyaLib/SkyMap/spherepos.cc	(revision 3571)
+++ /trunk/SophyaLib/SkyMap/spherepos.cc	(revision 3572)
@@ -11,5 +11,4 @@
 #include <typeinfo>
 
-static char *head_spherepos_cc_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/SkyMap/spherepos.cc,v 1.4 2006-06-20 16:01:48 ansari Exp $";
 
 
Index: /trunk/SophyaLib/SkyMap/spherepos.h
===================================================================
--- /trunk/SophyaLib/SkyMap/spherepos.h	(revision 3571)
+++ /trunk/SophyaLib/SkyMap/spherepos.h	(revision 3572)
@@ -9,5 +9,4 @@
 #include "anydataobj.h"
 
-static char *head_spherepos_h_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/SkyMap/spherepos.h,v 1.2 2006-06-20 16:01:48 ansari Exp $";
 
 namespace SOPHYA {
Index: /trunk/SophyaLib/SkyMap/spherethetaphi.cc
===================================================================
--- /trunk/SophyaLib/SkyMap/spherethetaphi.cc	(revision 3571)
+++ /trunk/SophyaLib/SkyMap/spherethetaphi.cc	(revision 3572)
@@ -192,9 +192,8 @@
   NPix_  = a.NPix_;
   Omega_ = a.Omega_;
-  int_4 k;
-  for (k=0; k< NPix_; k++) pixels_(k) = a.pixels_(k);
-  for (k=0; k< a.NPhi_.Size(); k++) NPhi_(k) = a.NPhi_(k);
-  for (k=0; k< a.TNphi_.Size(); k++) TNphi_(k) = a.TNphi_(k);
-  for (k=0; k< a.Theta_.Size(); k++) Theta_(k) = a.Theta_(k);
+  for (int_4 k=0; k< NPix_; k++) pixels_(k) = a.pixels_(k);
+  for (size_t k=0; k< a.NPhi_.Size(); k++) NPhi_(k) = a.NPhi_(k);
+  for (size_t k=0; k< a.TNphi_.Size(); k++) TNphi_(k) = a.TNphi_(k);
+  for (size_t k=0; k< a.Theta_.Size(); k++) Theta_(k) = a.Theta_(k);
   return(*this);
 
@@ -613,5 +612,5 @@
 int_4 SphereThetaPhi<T>::GetSymThetaSliceIndex(int_4 idx) const
 {
-  if(idx < 0 || idx >= NbThetaSlices()) 
+  if(idx < 0 || idx >= (int_4)NbThetaSlices()) 
     throw RangeCheckError("SphereThetaPhi::GetSymThetaSliceIndex index out of range"); 
   return (NbThetaSlices()-1-idx);
@@ -630,5 +629,5 @@
 {
 
-  if(index < 0 || index >= NbThetaSlices()) 
+  if(index < 0 || index >= (int_4)NbThetaSlices()) 
     throw RangeCheckError("SphereThetaPhi::GetThetaSlice(idx...) index out of range"); 
     
@@ -665,5 +664,5 @@
 {
 
-  if(index < 0 || index >= NbThetaSlices()) 
+  if(index < 0 || index >= (int_4)NbThetaSlices()) 
     throw RangeCheckError("SphereThetaPhi::GetThetaSlice(idx...)  idx out of range"); 
 
@@ -673,6 +672,4 @@
   pixelIndices.ReSize(lring);
   value.ReSize(lring);
-  double Te= 0.;
-  double Fi= 0.;
   for(int_4 kk = 0; kk < lring; kk++)  {
     pixelIndices(kk)=kk+iring ;
@@ -686,5 +683,5 @@
 T* SphereThetaPhi<T>::GetThetaSliceDataPtr(int_4 index)
 {
-  if(index < 0 || index >= NbThetaSlices()) 
+  if(index < 0 || index >= (int_4)NbThetaSlices()) 
     throw RangeCheckError("SphereThetaPhi::GetThetaSliceDataPtr(idx)  idx out of range"); 
   return pixels_.Begin()+Index(index,0);
Index: /trunk/SophyaLib/SysTools/commander.h
===================================================================
--- /trunk/SophyaLib/SysTools/commander.h	(revision 3571)
+++ /trunk/SophyaLib/SysTools/commander.h	(revision 3572)
@@ -79,5 +79,5 @@
                                         string& grp);
   inline  void		RegisterCommand(string& keyw, string& usage, CmdExecutor * ce, 
-                                        char* grp)
+                                        const char* grp)
                         { string sgrp = grp; RegisterCommand(keyw, usage, ce, sgrp); }
 
Index: /trunk/SophyaLib/SysTools/cxxcmplnk.cc
===================================================================
--- /trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 3571)
+++ /trunk/SophyaLib/SysTools/cxxcmplnk.cc	(revision 3572)
@@ -37,15 +37,12 @@
 */
 
-static char * gcxx_opt = 
-"-O -fdollars-in-identifiers";
-static char * KCC_opt = 
-"-O --exceptions --rtti  --auto_instantiation --one_instantiation_per_object -D__KCC__";
-static char * icc_opt = 
-"-O -fpic -frtti";
-static char * cxx_opt = 
-"-O -no_implicit_include -pthread";
-static char * SGICC_opt =  "-O -prelink -D__SGICC__ -LANG:std";
-static char * xlC_opt = 
-"-O -qrtti=all -qeh=v6";
+static const char * gcxx_opt = "-O -fdollars-in-identifiers";
+static const char * KCC_opt = 
+  "-O --exceptions --rtti  --auto_instantiation --one_instantiation_per_object -D__KCC__";
+static const char * icc_opt = "-O -fpic -frtti";
+static const char * cxx_opt = 
+  "-O -no_implicit_include -pthread";
+static const char * SGICC_opt =  "-O -prelink -D__SGICC__ -LANG:std";
+static const char * xlC_opt = "-O -qrtti=all -qeh=v6";
 
 /* --Methode-- */
@@ -251,6 +248,6 @@
 int CxxCompilerLinker::BuildSO(string const & oname, string & soname)
 {
-  //  char * soext = ".dylib"; if defined(Darwin) - pas necessaire Reza 02/2002
-  char * soext = ".so";
+  // const char * soext = ".dylib"; if defined(Darwin) - pas necessaire Reza 02/2002
+  const char * soext = ".so";
 
   if (soname.length() < 1) {
Index: /trunk/SophyaLib/SysTools/timing.c
===================================================================
--- /trunk/SophyaLib/SysTools/timing.c	(revision 3571)
+++ /trunk/SophyaLib/SysTools/timing.c	(revision 3572)
@@ -115,7 +115,7 @@
           Comm, tcalt, tcal);
 
-printf("ElapsedTime(hh:mm:ss): Total= %02d:%02d:%02d ",
+printf("ElapsedTime(hh:mm:ss): Total= %02ld:%02ld:%02ld ",
        etmt/3600, (etmt%3600)/60, etmt%60);
-printf(" (Partial= %02d:%02d:%02d)\n",
+printf(" (Partial= %02ld:%02ld:%02ld)\n",
        etm/3600, (etm%3600)/60, etm%60);
 
Index: /trunk/SophyaLib/TArray/basarr.cc
===================================================================
--- /trunk/SophyaLib/TArray/basarr.cc	(revision 3571)
+++ /trunk/SophyaLib/TArray/basarr.cc	(revision 3572)
@@ -22,5 +22,5 @@
 
 // Variables statiques globales
-char * BaseArray::ck_op_msg_[6] =
+const char * BaseArray::ck_op_msg_[6] =
      {"???", "Size(int )", "IsPacked(int )"
      ,"Stride(int )", "ElemCheckBound()", "operator()" };
Index: /trunk/SophyaLib/TArray/basarr.h
===================================================================
--- /trunk/SophyaLib/TArray/basarr.h	(revision 3571)
+++ /trunk/SophyaLib/TArray/basarr.h	(revision 3572)
@@ -200,5 +200,5 @@
   DVList* mInfo;    //!< Infos (variables) attached to the array
 
-  static char * ck_op_msg_[6]; //!< Operation messages for CheckDI() CheckBound()
+  static const char * ck_op_msg_[6]; //!< Operation messages for CheckDI() CheckBound()
   static sa_size_t max_nprt_; //!< maximum number of printed elements
   static int_4 prt_lev_;  //!< Print level
Index: /trunk/SophyaLib/TArray/triangmtx.h
===================================================================
--- /trunk/SophyaLib/TArray/triangmtx.h	(revision 3571)
+++ /trunk/SophyaLib/TArray/triangmtx.h	(revision 3572)
@@ -32,19 +32,28 @@
 
 //! Default constructor
-TriangularMatrix()   {;};
+TriangularMatrix()
+  : long_diag_(0)
+{
+}
+
 //! instanciate a triangular matrix from the number of rows
-TriangularMatrix(sa_size_t rowSize)  : long_diag_(rowSize) 
-  {
-    elem_.ReSize((rowSize*(rowSize+1)/2) ); 
-  }
+TriangularMatrix(sa_size_t rowSize)
+  : long_diag_(rowSize) 
+{
+  elem_.ReSize((rowSize*(rowSize+1)/2) ); 
+}
+
 //! Copy constructor (possibility of sharing datas)
-  TriangularMatrix(const TriangularMatrix<T>& a,  bool share=false)  : elem_(a.elem_, share),  long_diag_(a.long_diag_) {;}
+TriangularMatrix(const TriangularMatrix<T>& a,  bool share=false)  
+  : long_diag_(a.long_diag_) , elem_(a.elem_, share)  
+{
+}
 
 //! resize the matrix with a new number of rows
 inline void ReSizeRow(sa_size_t rowSize) 
-  {
-    long_diag_=(uint_4)rowSize;
-    elem_.ReSize(long_diag_*(long_diag_+1)/2);
-  }
+{
+  long_diag_=(uint_4)rowSize;
+  elem_.ReSize(long_diag_*(long_diag_+1)/2);
+}
 
 TriangularMatrix<T>& SetT(T a)
Index: /trunk/SophyaLib/TArray/utilarr.cc
===================================================================
--- /trunk/SophyaLib/TArray/utilarr.cc	(revision 3571)
+++ /trunk/SophyaLib/TArray/utilarr.cc	(revision 3572)
@@ -142,5 +142,5 @@
 MuTyV & EnumeratedSequence::Value (sa_size_t k) const 
 {
-  if (k >= vecv_.size())  retv_ = 0;
+  if (k >= (sa_size_t)vecv_.size())  retv_ = 0;
   else retv_ = vecv_[k];
   return(retv_);
@@ -175,5 +175,5 @@
 {
   os << " EnumeratedSequence::Print() - Size()= " << Size() << endl;
-  for(int k=0; k<vecv_.size(); k++) {
+  for(size_t k=0; k<vecv_.size(); k++) {
     os << vecv_[k];
     if ((k > 0) && (k%10 == 0))  os << endl;
@@ -190,5 +190,5 @@
 sa_size_t EnumeratedSequence::Append(EnumeratedSequence const & seq)
 {
-  for(int k=0; k<seq.vecv_.size(); k++) 
+  for(size_t k=0; k<seq.vecv_.size(); k++) 
     vecv_.push_back(seq.vecv_[k]);
   return(seq.vecv_.size());
@@ -278,5 +278,5 @@
   nc = 0;
   sa_size_t n = 0;
-  char buff[256];
+  //char buff[256];
   string line;
   int nbad, nbadtot, nel;
Index: /trunk/SophyaPI/PI/parradapter.cc
===================================================================
--- /trunk/SophyaPI/PI/parradapter.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/parradapter.cc	(revision 3572)
@@ -202,5 +202,5 @@
   double x,y;
   this->Coord(ix, iy, x, y);
-  char * isr = "";
+  const char * isr = "";
   if (ISFunc != NULL)  isr = ISFunc(this, ix, iy);
   sprintf(ibuff,"X= %g Y= %g  Pix= %g %s   ", 
Index: /trunk/SophyaPI/PI/piapplx.cc
===================================================================
--- /trunk/SophyaPI/PI/piapplx.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/piapplx.cc	(revision 3572)
@@ -40,5 +40,5 @@
 class PITopContAppX : public PIContainer {
 public :
-	    	PITopContAppX(PIContainer *par, char *nom, PIWdg* topw,
+	    	PITopContAppX(PIContainer *par, const char *nom, PIWdg* topw,
                           int sx=10, int sy=10, int px=0, int py=0);
    virtual  	~PITopContAppX(); 
@@ -52,5 +52,5 @@
 
 /* --Methode-- */
-PITopContAppX::PITopContAppX(PIContainer *par, char *nom, PIWdg* topw, int sx, int sy, int px, int py)
+PITopContAppX::PITopContAppX(PIContainer *par, const char *nom, PIWdg* topw, int sx, int sy, int px, int py)
         : PIContainer(par, nom, (sx>10)?sx:10, (sy>10)?sy:10, px, py)
 {
@@ -141,6 +141,5 @@
 if (sx < sxt)  sx = sxt;
 if (sy < 10) sy = 10;
-topcont = new PITopContAppX(MBCont(), "TopLevelCont", topwdg, 
-                            sx, sy, 0, msy);
+topcont = new PITopContAppX(MBCont(), "TopLevelCont", topwdg, sx, sy, 0, msy);
 MBCont()->Show();
 //DBG printf("PIApplicationX-DBG2:: MBContSize=%d %d \n", MBCont()->XSize(), MBCont()->YSize());
Index: /trunk/SophyaPI/PI/pibwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/pibwdgx.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pibwdgx.cc	(revision 3572)
@@ -39,5 +39,5 @@
 CreateXtWdg(nom, piXtBaseWidgetClass, NULL, sx, sy, px, py);
 
-XtSetArg(wargs[0],PIXNobject,this); 
+XtSetArg(wargs[0],const_cast<char*>(PIXNobject),this); 
 XtSetArg(wargs[1],XtNbackground, colpixwhite);  
 XtSetArg(wargs[2],XtNborderWidth, (Dimension)0);  
@@ -72,5 +72,5 @@
 #endif
 Arg  wargs[2];
-XtSetArg(wargs[0],PIXNobject,NULL); 
+ XtSetArg(wargs[0],const_cast<char*>(PIXNobject),NULL); 
 XtSetValues(XtWdg(), wargs, 1);
 }
Index: /trunk/SophyaPI/PI/pifilechox.cc
===================================================================
--- /trunk/SophyaPI/PI/pifilechox.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pifilechox.cc	(revision 3572)
@@ -120,5 +120,5 @@
 {
 XmString xmstr;
-xmstr = XmStringLtoRCreate((char *)path.c_str(), XmSTRING_DEFAULT_CHARSET);
+xmstr = XmStringLtoRCreate(const_cast<char*>(path.c_str()), const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
 Arg warg[2];
 XtSetArg(warg[0], XmNdirectory, xmstr); 
@@ -132,5 +132,5 @@
 {
 XmString xmstr;
-xmstr = XmStringLtoRCreate((char *)fname.c_str(), XmSTRING_DEFAULT_CHARSET);
+xmstr = XmStringLtoRCreate(const_cast<char*>(fname.c_str()),  const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
 Arg warg[2];
 XtSetArg(warg[0], XmNtextString, xmstr); 
Index: /trunk/SophyaPI/PI/pifontx.cc
===================================================================
--- /trunk/SophyaPI/PI/pifontx.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pifontx.cc	(revision 3572)
@@ -263,19 +263,24 @@
 
 static XtResource resources[] = {
-  { "fontFamilyName", "FontFamilyName", XtRString, sizeof(String),
+  { const_cast<char *>("fontFamilyName"), const_cast<char *>("FontFamilyName"), 
+    XtRString, sizeof(String),
     /*XtOffset(apd, fntFam[0])*/ 0, XtRString, const_cast<char *>("*-courier") } ,
-  { "courierfontFamilyName", "CourierfontFamilyName", XtRString, sizeof(String),
+  { const_cast<char *>("courierfontFamilyName"), const_cast<char *>("CourierfontFamilyName"), 
+    XtRString, sizeof(String),
     sizeof(String) , XtRString, const_cast<char *>("*-courier") } ,
-  { "helveticafontFamilyName", "HelveticafontFamilyName", XtRString, sizeof(String),
+  { const_cast<char *>("helveticafontFamilyName"), const_cast<char *>("HelveticafontFamilyName"), 
+    XtRString, sizeof(String),
     2*sizeof(String) , XtRString, const_cast<char *>("*-helvetica") } ,
-  { "timesfontFamilyName", "TimesfontFamilyName", XtRString, sizeof(String),
+  { const_cast<char *>("timesfontFamilyName"), const_cast<char *>("TimesfontFamilyName"), 
+    XtRString, sizeof(String),
     3*sizeof(String) , XtRString, const_cast<char *>("*-times") } ,
-  { "symbolfontFamilyName", "SymbolfontFamilyName", XtRString, sizeof(String),
+  { const_cast<char *>("symbolfontFamilyName"), const_cast<char *>("SymbolfontFamilyName"), 
+    XtRString, sizeof(String),
     4*sizeof(String) , XtRString, const_cast<char *>("*-symbol") }
 };
  
-static char * fnbi_b[4] = { "medium-r-normal", "bold-r-normal", 
+static const char * fnbi_b[4] = { "medium-r-normal", "bold-r-normal", 
                           "medium-o-normal", "bold-o-normal" };
-static char * fnbo_b[4] = { NULL, NULL, 
+static const char * fnbo_b[4] = { NULL, NULL, 
                           "medium-i-normal", "bold-i-normal" };
 
@@ -355,5 +360,5 @@
   printf("PIFontX::Init %d fonts found for %s , switching to courier\n",
          count, apd.fntFam[0]);
-  apd.fntFam[0] = "*-courier";
+  apd.fntFam[0] = const_cast<char *>("*-courier");
   if (list) XFreeFontNames(list);
   }
Index: /trunk/SophyaPI/PI/pilistx.cc
===================================================================
--- /trunk/SophyaPI/PI/pilistx.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pilistx.cc	(revision 3572)
@@ -116,9 +116,5 @@
 mNItem++;
 
-#if defined(__DECCXX) || defined(__KCC__) || defined(__aCC__)
-XmString xms = XmStringCreate(const_cast<char *>(item), XmSTRING_DEFAULT_CHARSET);
-#else
-XmString xms = XmStringCreate((char *)(item), XmSTRING_DEFAULT_CHARSET);
-#endif
+XmString xms = XmStringCreate(const_cast<char*>(item), const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
 XmListAddItem(mlist, xms, 0);
 XmStringFree(xms);
Index: /trunk/SophyaPI/PI/pimenux.cc
===================================================================
--- /trunk/SophyaPI/PI/pimenux.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pimenux.cc	(revision 3572)
@@ -386,5 +386,5 @@
   n=0;
   sprintf(acc,"Ctrl/%c", sc[0]);
-  xmstr = XmStringLtoRCreate(acc, XmSTRING_DEFAULT_CHARSET);
+  xmstr = XmStringLtoRCreate(acc, const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
   XtSetArg(warg[n], XmNacceleratorText, xmstr); n++;
   sprintf(acc,"Ctrl<Key>%c", sc[0]);
Index: /trunk/SophyaPI/PI/pioptmenux.cc
===================================================================
--- /trunk/SophyaPI/PI/pioptmenux.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pioptmenux.cc	(revision 3572)
@@ -160,5 +160,5 @@
 {
 XmString xmstr;
-xmstr = XmStringLtoRCreate((char *)lab.c_str(), XmSTRING_DEFAULT_CHARSET);
+xmstr = XmStringLtoRCreate(const_cast<char*>(lab.c_str()), const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
 int n=0;
 Arg warg[2];
Index: /trunk/SophyaPI/PI/pistdwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/pistdwdgx.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pistdwdgx.cc	(revision 3572)
@@ -51,5 +51,5 @@
 {
 XmString xmstr;
-xmstr = XmStringLtoRCreate((char *)lab.c_str(), XmSTRING_DEFAULT_CHARSET);
+xmstr = XmStringLtoRCreate(const_cast<char*>(lab.c_str()), const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
 int n=0;
 Arg warg[2];
@@ -149,5 +149,5 @@
 {
 XmString xmstr;
-xmstr = XmStringLtoRCreate((char *)lab.c_str(), XmSTRING_DEFAULT_CHARSET);
+xmstr = XmStringLtoRCreate(const_cast<char*>(lab.c_str()), const_cast<char*>(XmSTRING_DEFAULT_CHARSET));
 int n=0;
 Arg warg[2];
Index: /trunk/SophyaPI/PI/pitherm.cc
===================================================================
--- /trunk/SophyaPI/PI/pitherm.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pitherm.cc	(revision 3572)
@@ -24,5 +24,5 @@
 //--
 //++
-//  PIThermometer(PIContainerGen *par, char *nom, int sx=256, int sy=10, int px=0, int py=0)
+//  PIThermometer(PIContainerGen *par, const char *nom, int sx=256, int sy=10, int px=0, int py=0)
 //	Constructeur - Le choix d'affichage (vertical ou horizontal) dépend
 //	du rapport des tailles "sx", "sy"
@@ -31,5 +31,5 @@
 
 /* --Methode-- */
-PIThermometer::PIThermometer(PIContainerGen *par, char *nom,
+PIThermometer::PIThermometer(PIContainerGen *par, const char *nom,
                        int sx, int sy, int px, int py) 
 : PIBaseWdg(par, nom, sx, sy, px, py)
Index: /trunk/SophyaPI/PI/pitherm.h
===================================================================
--- /trunk/SophyaPI/PI/pitherm.h	(revision 3571)
+++ /trunk/SophyaPI/PI/pitherm.h	(revision 3572)
@@ -16,5 +16,5 @@
   enum {ClassId = 5220};
 
-                  PIThermometer(PIContainerGen *par, char *nom,
+                  PIThermometer(PIContainerGen *par, const char *nom,
                                 int sx=256, int sy=10, int px=0, int py=0);
   virtual         ~PIThermometer();
Index: /trunk/SophyaPI/PI/piwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/piwdgx.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/piwdgx.cc	(revision 3572)
@@ -20,9 +20,5 @@
 #include "pigraphx.h"
 
-#ifdef SANS_EVOLPLANCK
-#include "perrors.h"
-#else
 #include "pexceptions.h"
-#endif
 
 
@@ -627,30 +623,30 @@
 // Ressources X si non definis 
 static const String fallback_res[26] = {
-"PeidaInt*default*background:                 LightGrey" ,
-"PeidaInt*background:                         LightGrey" ,
-"PeidaInt*Foreground:                         Black",
-"PeidaInt*default*Foreground:                 Black",
-"PeidaInt*default*bottomShadowColor:          Black",
-"PeidaInt*bottomShadowColor:                  Black",
-"PeidaInt*default*topShadowColor:             White",
-"PeidaInt*topShadowColor:                     White",
-"PeidaInt*borderColor:                        Black",
-"PeidaInt*XmLabel.borderWidth:                0",
-"PeidaInt*XmDrawingArea*background:           Black",
-"PeidaInt*XmPushButton*borderWidth:           0",
-"PeidaInt*XmText*shadowThickness:             2",
-"PeidaInt*XmText*highlightThickness:          0",
-"PeidaInt*XmText*marginHeigt:                 0",
-"PeidaInt*XmText*marginWidth:                 2",
-// "PeidaInt*DefMenubar*XtNwidth:                250",
-// "PeidaInt*DefMenubar*XtNheight:               30",
-"PeidaInt*fontList:           -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1",
-"PeidaInt*default*fontList:   -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1",
-"PeidaInt*fontFamilyName:                     *-courier",    // Pas de blanc apres le nom de font
-"PeidaInt*courierfontFamilyName:              *-courier",    //           "        " 
-"PeidaInt*helveticafontFamilyName:            *-helvetica",  //           "        " 
-"PeidaInt*timesfontFamilyName:                *-times",      //           "        " 
-"PeidaInt*symbolfontFamilyName:               *-symbol",     //           "        " 
-"PeidaInt*XmToggleButton*selectColor:         Red",
+const_cast<char*>("PeidaInt*default*background:                 LightGrey") ,
+const_cast<char*>("PeidaInt*background:                         LightGrey") ,
+const_cast<char*>("PeidaInt*Foreground:                         Black"),
+const_cast<char*>("PeidaInt*default*Foreground:                 Black"),
+const_cast<char*>("PeidaInt*default*bottomShadowColor:          Black"),
+const_cast<char*>("PeidaInt*bottomShadowColor:                  Black"),
+const_cast<char*>("PeidaInt*default*topShadowColor:             White"),
+const_cast<char*>("PeidaInt*topShadowColor:                     White"),
+const_cast<char*>("PeidaInt*borderColor:                        Black"),
+const_cast<char*>("PeidaInt*XmLabel.borderWidth:                0"),
+const_cast<char*>("PeidaInt*XmDrawingArea*background:           Black"),
+const_cast<char*>("PeidaInt*XmPushButton*borderWidth:           0"),
+const_cast<char*>("PeidaInt*XmText*shadowThickness:             2"),
+const_cast<char*>("PeidaInt*XmText*highlightThickness:          0"),
+const_cast<char*>("PeidaInt*XmText*marginHeigt:                 0"),
+const_cast<char*>("PeidaInt*XmText*marginWidth:                 2"),
+// const_cast<char*>("PeidaInt*DefMenubar*XtNwidth:                250"),
+// const_cast<char*>("PeidaInt*DefMenubar*XtNheight:               30"),
+const_cast<char*>("PeidaInt*fontList:           -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1"),
+const_cast<char*>("PeidaInt*default*fontList:   -*-courier-bold-r-normal-*-12-*-*-*-*-*-ISO8859-1"),
+const_cast<char*>("PeidaInt*fontFamilyName:                     *-courier"),    // Pas de blanc apres le nom de font
+const_cast<char*>("PeidaInt*courierfontFamilyName:              *-courier"),    //           "        " 
+const_cast<char*>("PeidaInt*helveticafontFamilyName:            *-helvetica"),  //           "        " 
+const_cast<char*>("PeidaInt*timesfontFamilyName:                *-times"),      //           "        " 
+const_cast<char*>("PeidaInt*symbolfontFamilyName:               *-symbol"),     //           "        " 
+const_cast<char*>("PeidaInt*XmToggleButton*selectColor:         Red"),
 NULL
 };
@@ -681,18 +677,10 @@
 if (top == NULL) {
   fprintf(stderr, "PIWdgX::InitXt()/ Error XtVaAppInitialize()\n");
-#ifdef SANS_EVOLPLANCK
-  throw notFoundErr;
-#else
-  throw NotFoundExc("PIWdgX::InitXt()/ Error XtVaAppInitialize()");
-#endif
+  throw PError("PIWdgX::InitXt()/ Error XtVaAppInitialize()");
   }
 dpy = XtDisplay(top);
 if (dpy == NULL)  {
   fprintf(stderr, "PIWdgX::InitXt()/ Error XtVaAppInitialize()/DisplayConnection\n");
-#ifdef SANS_EVOLPLANCK
-  throw notFoundErr;
-#else
-  throw NotFoundExc("PIWdgX::InitXt()/ Error XtVaAppInitialize()/DisplayConnection");
-#endif
+  throw PError("PIWdgX::InitXt()/ Error XtVaAppInitialize()/DisplayConnection");
   }
 
@@ -734,5 +722,5 @@
   }
 stdfnt = XLoadQueryFont(dpy, buff);
-char * myfntname = "???";
+const char * myfntname = "???";
 // Recherche du champ taille en pixel de la fonte : apres le 7eme tiret
 int mySzFont = 12;
Index: /trunk/SophyaPI/PI/pixtbase.cc
===================================================================
--- /trunk/SophyaPI/PI/pixtbase.cc	(revision 3571)
+++ /trunk/SophyaPI/PI/pixtbase.cc	(revision 3572)
@@ -46,5 +46,5 @@
 
 static XtResource resources[] ={
-  {PIXNobject ,(char *)"Object", XtRPointer, sizeof(XtRPointer),
+  {const_cast<char*>(PIXNobject) ,const_cast<char*>("Object"), XtRPointer, sizeof(XtRPointer),
    XtOffset(PIXtBaseWidget,  pixtbase.objet), XtRImmediate, (XtPointer)0},
 };
Index: /trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- /trunk/SophyaPI/PIGcont/Makefile	(revision 3571)
+++ /trunk/SophyaPI/PIGcont/Makefile	(revision 3572)
@@ -22,4 +22,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
@@ -35,5 +36,6 @@
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -50,6 +52,5 @@
   $(SOPHYAINCP)pievthandler.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pigraphps.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -60,4 +61,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -141,4 +143,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
@@ -154,5 +157,6 @@
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -169,6 +173,5 @@
   $(SOPHYAINCP)pievthandler.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pigraphps.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -179,4 +182,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: /trunk/SophyaPI/PIGcont/pigncont.cc
===================================================================
--- /trunk/SophyaPI/PIGcont/pigncont.cc	(revision 3571)
+++ /trunk/SophyaPI/PIGcont/pigncont.cc	(revision 3572)
@@ -132,5 +132,5 @@
   _zmin = 1.e37;
   _zmax = -1.e37;
-  char *nom[4]={"x","y","z","niso"};
+  const char *nom[4]={"x","y","z","niso"};
   _myiso = new NTuple(4,nom);  
   //_myiso->Show();
@@ -343,5 +343,5 @@
    _ny = arr->YSize()  ;
    //cout << " size x,y "<<_nx<<" , "<<_ny <<endl;
-   char *nom[4]={"x","y","z","niso"};
+   const char *nom[4]={"x","y","z","niso"};
    
    _myiso = new NTuple(4,nom);  
Index: /trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- /trunk/SophyaPI/PIGcont/smakefile	(revision 3571)
+++ /trunk/SophyaPI/PIGcont/smakefile	(revision 3572)
@@ -22,4 +22,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
@@ -142,4 +143,5 @@
   $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
